// 公共模块

import {get,post} from './http'

export const getWxConfig=(params)=>{
    const url=window.location.href
    console.log(url)
    return get('/wechat/getWxJsConf',{url:url,...params})
}

/**
 * 获取海报
 * @param code_page 分享海报小程序页面地址
 * @param code_scene 小程序页面参数
 * @param source 来源 activity_detail(活动详情) activity_list(活动列表)
 *                    special_column_list(专栏列表) special_column_detail(专栏详情)
 *                    report_list(报告列表) report_detail(报告详情)
 *                    chart_list(图库列表) chart_detail(图库详情)
 * @param version 
 * @param pars 生成海报需要的页面参数
 */
export const apiGetPoster=params=>{
    return post('/public/get_share_poster',{version:'3.0',...params})
}

/**
 * 上传错误日志
 */
export const apiReportingErrInfo=params=>{
    let obj={
        ...params,
        timestamp:new Date().toLocaleString(),
        agent:'小程序H5',
        page:window.location.href
    }
    return post('/public/wechat_warning',{content:JSON.stringify(obj)})
}

/**
 * 获取基本配置
 */
export const apiBaseConfig=()=>{
    return get('/base/business_conf',{})
}